Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

EzPublishIOBundle.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishIOBundle;
8
9 use eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler;
10 use eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory;
11 use eZ\Bundle\EzPublishIOBundle\DependencyInjection\EzPublishIOExtension;
12 use Symfony\Component\DependencyInjection\ContainerBuilder;
13 use Symfony\Component\HttpKernel\Bundle\Bundle;
14
15 class EzPublishIOBundle extends Bundle
16 {
18 protected $extension;
19
20 public function build(ContainerBuilder $container)
21 {
22 $extension = $this->getContainerExtension();
23 $container->addCompilerPass(
24 new Compiler\IOConfigurationPass(
25 $extension->getMetadataHandlerFactories(),
26 $extension->getBinarydataHandlerFactories()
27 )
28 );
29 $container->addCompilerPass(new Compiler\MigrationFileListerPass());
30 parent::build($container);
31 }
32
33 public function getContainerExtension()
34 {
35 if (!isset($this->extension)) {
36 $this->extension = new EzPublishIOExtension();
37 $this->extension->addMetadataHandlerFactory('flysystem', new ConfigurationFactory\MetadataHandler\Flysystem());
38 $this->extension->addMetadataHandlerFactory('legacy_dfs_cluster', new ConfigurationFactory\MetadataHandler\LegacyDFSCluster());
39 $this->extension->addBinarydataHandlerFactory('flysystem', new ConfigurationFactory\BinarydataHandler\Flysystem());
40 }
41
42 return $this->extension;
43 }
44 }
eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\IOConfigurationPass
This compiler pass will create the metadata and binarydata IO handlers depending on container configu...
Definition: IOConfigurationPass.php:23
eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler\MigrationFileListerPass
Definition: MigrationFileListerPass.php:14
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\Flysystem
Configuration factory for the flysystem metadata and binarydata handlers.
Definition: Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/Flysystem.php:25
eZ\Bundle\EzPublishIOBundle\DependencyInjection\EzPublishIOExtension
This is the class that loads and manages your bundle configuration.
Definition: EzPublishIOExtension.php:22
eZ\Bundle\EzPublishIOBundle\EzPublishIOBundle
Definition: EzPublishIOBundle.php:16
eZ\Bundle\EzPublishIOBundle\EzPublishIOBundle\$extension
$extension
Definition: EzPublishIOBundle.php:18
eZ\Bundle\EzPublishIOBundle\EzPublishIOBundle\build
build(ContainerBuilder $container)
Definition: EzPublishIOBundle.php:20
eZ\Bundle\EzPublishIOBundle\EzPublishIOBundle\getContainerExtension
getContainerExtension()
Definition: EzPublishIOBundle.php:33
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory
Factory for IO Handlers (metadata or binarydata) configuration.
Definition: ConfigurationFactory.php:21
eZ\Bundle\EzPublishIOBundle\DependencyInjection\Compiler
Definition: IOConfigurationPass.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.